# Get-RASPubDefaultSettings.md

## NAME

Get-RASPubDefaultSettings

## SYNOPSIS

Retrieves default settings used to configure published resources.

## SYNTAX

\*\*Get-RASPubDefaultSettings \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves default settings used to configure published resources.

Default settings are defined on a site level and are applied to an RD Session Host server when it is initially created.

A RAS administrator can modify the defaults if needed using the Set-RASRDSDefaultSettings cmdlet.

## PARAMETERS

## SiteId (uint)

Site ID from which to retrieve the defaults.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[PubDefaultSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubdefaultsettings.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASPubDefaultSettings -SiteId 3

Retrieves default settings from the specified site.

## RELATED LINKS

* [Set-RASPubDefaultSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspubdefaultsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubdefaultsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
